diff --git a/contrib/pg_overexplain/pg_overexplain.c b/contrib/pg_overexplain/pg_overexplain.c
index afc34ad5f2..595953dc78 100644
--- a/contrib/pg_overexplain/pg_overexplain.c
+++ b/contrib/pg_overexplain/pg_overexplain.c
@@ -738,14 +738,13 @@ overexplain_intlist(const char *qlabel, List *list, ExplainState *es)
 {
 	StringInfoData buf;
 
-	initStringInfo(&buf);
-
 	if (list == NIL)
 	{
 		ExplainPropertyText(qlabel, "none", es);
 		return;
 	}
 
+	initStringInfo(&buf);
 	if (IsA(list, IntList))
 	{
 		foreach_int(i, list)
